> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List email campaigns



## OpenAPI

````yaml /openapi.json get /api/public/email-campaign
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/email-campaign:
    get:
      tags:
        - email-channel
      summary: List email campaigns
      operationId: PublicEmailCampaignController_list
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            maximum: 50
            exclusiveMinimum: true
            default: 10
            type: number
            minimum: 0
        - name: offset
          required: false
          in: query
          schema:
            minimum: 0
            maximum: 9007199254740991
            default: 0
            type: number
        - name: email_template_id
          required: false
          in: query
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  campaigns:
                    type: array
                    items:
                      $ref: '#/components/schemas/EmailCampaignResponseDto'
                  hasMore:
                    type: boolean
components:
  schemas:
    EmailCampaignResponseDto:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        status:
          type: string
          enum:
            - draft
            - scheduled
            - sending
            - sent
            - failed
        email_template_id:
          type: string
        email_channel_id:
          type: string
        scheduled_at:
          format: date-time
          type: string
          nullable: true
        sent_at:
          format: date-time
          type: string
          nullable: true
        total_recipients:
          type: number
        created_at:
          format: date-time
          type: string
      required:
        - id
        - title
        - status
        - email_template_id
        - email_channel_id
        - scheduled_at
        - sent_at
        - total_recipients
        - created_at

````